Skip to content

商品相关视频列表

简介

获取指定商品相关的视频列表数据,支持以下功能:

  • 支持按商品 ID 查询
  • 返回视频详细信息,包括视频描述、播放量、互动数据等
  • 包含视频关联的销售数据,如销量、销售额等

接口

bash
    POST /product/v1/videoList

请求参数

字段类型必选描述
product_idstring商品 ID
daysintNo最近N天(视频发布时间)
create_time_rangeintNo视频发布时间范围,例如:{min: 1767196800, max: 1777278619}
is_adintNo是否为广告,0否,1是

注意: dayscreate_time_range 不能同时传

request example

bash
curl 'https://openapi.fastmoss.com/product/v1/videoList' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "product_id": "1729421229342823356",
        "create_time_range": {
          "min": 1767196800,
          "max": 1777278619
        }
    },
    "orderby": {
        "field": "play_count",
        "order": "desc"
    },
    # "orderby": {
    #     "field": "digg_count",
    #     "order": "desc"
    # },
    # "orderby": {
    #     "field": "comment_count",
    #     "order": "desc"
    # },
    # "orderby": {
    #     "field": "share_count",
    #     "order": "desc"
    # },
    # "orderby": {
    #     "field": "units_sold",
    #     "order": "desc"
    # },
    # "orderby": {
    #     "field": "gmv",
    #     "order": "desc"
    # },
    "page": 1,
    "pagesize": 10
}'

response body

data.list

字段类型描述
product_idstring商品 ID
video_idstring视频 ID
uidstring用户 ID
is_adint是否为广告
seller_idstring卖家 ID
comment_countint评论数
digg_countint点赞数
play_countint播放量
share_countint分享数
create_datestring创建日期
units_soldint销量
gmvfloat销售额
regionstring国家/地区
videoobject视频信息对象

data.list.video

字段类型描述
video_descstring视频描述
coverstring封面图片 URL
durationint视频时长(秒)
fastmoss_urlstringFastmoss 链接
tiktok_urlstringTikTok 链接
uidstring用户 ID
create_timetimestampCreate Time

data.total

字段类型描述
totalstring总记录数

response example

json
{
  "code": 0,
  "data": {
    "list": [
      {
        "product_id": "1729421229342823356",
        "video_id": "7468186866076880170",
        "uid": "6790997286808093702",
        "is_ad": 0,
        "seller_id": "7495150597721263036",
        "comment_count": 0,
        "digg_count": 14,
        "play_count": 4592,
        "share_count": 0,
        "create_time": 1765024218000,
        "units_sold": 28,
        "gmv": 700.0,
        "video": {
          "video_desc": "@tarte cosmetics #tiktokshoploveatfirstfind #fypシ #tartecosmetics ",
          "cover": "https://s.500fd.com/tt_video/oIMPp5BmEi2ZEHYBiVzCkBKA0IlmpTGfwAhiOI",
          "duration": 12,
          "fastmoss_url": "https://www.fastmoss.com/zh/media-source/video/7468186866076880170",
          "tiktok_url": "https://www.tiktok.com/@brriiddgett/video/7468186866076880170",
          "uid": "6790997286808093702"
        },
        "region": "US"
      }
    ],
    "total": 3809
  },
  "message": "success",
  "timestamp": 1743573480,
  "request_id": "efd631c4-92cf-5d27-4f41-de09f20dd714"
}